Nov 12

Lightning 1.9 released, please update your Provider for Google Calendar

As you likely noticed, Lightning 1.9 was recently released. Aside from the common issues during an update, the most reported problem was that calendars were no longer working. In almost all cases, the solution for this issue is to also update the Provider for Google Calendar to version 0.18. A function in Lightning was changed that was used by the Provider version 0.17, hence the update.

For an unknown reason, the addons manager did not find the update of the Provider for Google Calendar to version 0.18. We have mitigated this by blocking the older version of the extension on addons.mozilla.org, but we have yet to find the reason this has happened in the first place.

The next release is still a while away, but if you experience issues in a future update, please make sure you are using the latest version of all relevant extensions.

If you are having a different error, please check out the Error Console in the Tools menu and comment with any relevant messages by comment. Also, in the advanced config editor (Preferences → Advanced → General → Config Editor) there is a preference called “calendar.debug.log” and “calendar.debug.log.verbose” which you can set to true to get additional messages regarding your problem.